Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.util
Class FaultUtil

    java.lang.Object
      |
      +--weblogic.webservice.util.FaultUtil

public final class FaultUtil
extends java.lang.Object

Utility class used to create a `javax.xml.soap.Detail` object which provides additional details about a thrown SOAPFaultException. The `Detail` object is a JAX-RPC container for `DetailEntry` objects used to provide application-specific information about the error described by the SOAPFaultException. Use the `addDetailEntry` JAX-RPC method to add a `DetailEntry` to the `Detail` object.

Author:
  Copyright (c) 2002 by BEA Systems. All Rights Reserved.

Constructor Summary
`FaultUtil()`

Method Summary
`static javax.xml.soap.Detail` | `newDetail()` Creates a new `javax.xml.soap.Detail` object.
`static javax.xml.soap.Detail` | `newDetail(java.lang.Throwable th)` Creates a new `javax.xml.soap.Detail` object using the details from another SOAPFaultException.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultUtil

    public FaultUtil()

Method Detail

### newDetail

    public static javax.xml.soap.Detail newDetail()

  Creates a new `javax.xml.soap.Detail` object.

### newDetail

    public static javax.xml.soap.Detail newDetail(java.lang.Throwable th)

  Creates a new `javax.xml.soap.Detail` object using the details from another SOAPFaultException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference